Skip to main content
GET
Get settlement account by ID

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

id
string<uuid>
required

Unique identifier of the settlement account

Example:

"4b0f6c1e-2d3a-4f5b-8c7d-9e0f1a2b3c4d"

Response

Settlement account details.

A settlement account (seller bank account) that can receive payouts from an acceptance account

id
string<uuid>
required

Unique settlement account identifier

Example:

"4b0f6c1e-2d3a-4f5b-8c7d-9e0f1a2b3c4d"

status
required

Verified and able to receive payouts

Allowed value: "ACTIVE"
name
string
required

Account holder name as submitted, verified against the bank records

Example:

"Mohammed Ali Alharbi"

masked_national_id
string
required

Account holder National ID or Iqama number, masked

Example:

"1*******78"

masked_iban
string
required

Account IBAN, masked

Example:

"SA03****************7519"

currency
string
required

ISO 4217 currency code

Example:

"SAR"

created_at
string<date-time>
required

Timestamp when the account was registered

Example:

"2026-09-29T10:00:00.000Z"

updated_at
string<date-time>
required

Timestamp of the last update

Example:

"2026-09-29T10:00:00.000Z"